#! /usr/bin/python
# -*- coding: iso-8859-1 -*-

#####################################################
#    Copyright (C) 2006 by Cesar Kallas   	
#    cesarkallas@soulivre.org   
#    http://cesarkallas.soulivre.org
#                                                                          
#    This program is free software; you can redistribute it and#or modify  
#    it under the terms of the GNU General Public License as published by 
#    the Free Software Foundation; either version 2 of the License, or     
#    (at your option) any later version.                                   
#                                                                          
#    This program is distributed in the hope that it will be useful,       
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#    GNU General Public License for more details.                          
#                                                                          
#    You should have received a copy of the GNU General Public License     
#    along with this program; if not, write to the                         
#    Free Software Foundation, Inc.,                                       
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             
#####################################################

import logging
import Opcoes
import sys

class Log(object):

	def __init__(self, Logger="ConectaGerente"):
		try:
			# Inicia log
			logOpcoes = Opcoes.Opcoes()
			logOpcoes = logOpcoes.ler('Log')
			self.log = logging.getLogger(Logger)
			self.logFile = logging.FileHandler(logOpcoes['arquivo'])
			self.logFormato = logging.Formatter(logOpcoes['formato'])
			self.logFile.setFormatter(self.logFormato)
			self.log.addHandler(self.logFile)
			self.log.setLevel(logging.INFO)
		except:
			print "falha ao inciar log"
			raise
			sys.exit(1)
			
	def get(self):
		return self.log
